For the complete documentation index, see llms.txt. This page is also available as Markdown.

IP Rotation / Renewing

Introduction

The IP renew feature is available on some types of proxies like 4G proxies, it's a very useful feature that many of our customers use.

We currently support to kinds of IP rotation:

  • Automatic: Define an IP rotation every X minutes.

  • Manual: Triggers a rotation at the time of the request.

Configure Automatic Rotation

Get the IP Renew

Get the renew parameters for a specific product.

Get the IP renew for a product

get
Authorizations
AuthorizationstringRequired

Specify the JWT token.

Path parameters
productDetailsIdstring · uuidRequired

Product Details Id

Responses
200

Success

application/json
idstring · uuidOptional
ownerstring · uuid · nullableOptional
creationDateTimestring · date-time · nullableOptional
lastUpdateDateTimestring · date-time · nullableOptional
isFeaturedboolean · nullableOptional
isAllowedboolean · nullableOptional
weightinteger · int32 · nullableOptional
contextDatastring · nullableOptional
customDatastring · nullableOptional
productDetailsIdstring · uuidOptional
bayIdstring · uuidOptional
get/v2/Renews/{productDetailsId}
200

Success

Set a IP Renew Delay

Define the delay of renew for a specific product, the minimum renew is 1 minute.

Set a new IP renew delay

post
Authorizations
AuthorizationstringRequired

Specify the JWT token.

Path parameters
productDetailsIdstring · uuidRequired

Product Details Id

Query parameters
delayinteger · int64Optional

The new delay (in minutes)

Responses
200

Success

No content

post/v2/Renews/{productDetailsId}
200

Success

No content

Delete an IP Renew

Remove the IP renew feature for a specific product.

Delete a specific renew

delete
Authorizations
AuthorizationstringRequired

Specify the JWT token.

Path parameters
productDetailsIdstring · uuidRequired

Product Details Id

Responses
200

Success

No content

delete/v2/Renews/{productDetailsId}
200

Success

No content

Execute Manual Rotation

The manual renew will be executed as an asynchronous operation, the API will return the related requestId of the operation.

So don't worry if the request delay is really fast, it's just because it's asynchronous, the renew will be performed in the background and takes about 5 to 8 seconds.

Execute a manual renew of the proxy IP

get
Authorizations
AuthorizationstringRequired

Specify the JWT token.

Path parameters
productDetailsIdstring · uuidRequired

Product Details Id

Responses
200

Success

No content

get/v2/Renews/Execute/{productDetailsId}
200

Success

No content

Last updated